# Microsoft.Samples.DirectX.UtilityToolkit.EnumAdapterInformation Class Reference

Class describing an adapter which contains a unique adapter ordinal that is installed on the system. More...

List of all members.

## Public Attributes
uint | AdapterOrdinal
AdapterDetails | AdapterInformation
ArrayList | displayModeList = new ArrayList()
ArrayList | deviceInfoList = new ArrayList()
string | UniqueDescription
AdapterInformation | AdapterInformation
List< DisplayMode > | displayModeList = new List<DisplayMode>()
List< EnumDeviceInformation > | deviceInfoList = new List<EnumDeviceInformation>()

## Detailed Description

Class describing an adapter which contains a unique adapter ordinal that is installed on the system.

Definition at line 656 of file dxmutenum.cs.

## Member Data Documentation

AdapterInformation Microsoft.Samples.DirectX.UtilityToolkit.EnumAdapterInformation.AdapterInformation

Definition at line 660 of file wdxmutenum.cs.

AdapterDetails Microsoft::Samples::DirectX::UtilityToolkit.EnumAdapterInformation::AdapterInformation

Definition at line 659 of file dxmutenum.cs.

uint Microsoft::Samples::DirectX::UtilityToolkit.EnumAdapterInformation::AdapterOrdinal

Definition at line 658 of file dxmutenum.cs.

List<EnumDeviceInformation> Microsoft.Samples.DirectX.UtilityToolkit.EnumAdapterInformation.deviceInfoList = new List<EnumDeviceInformation>()

Definition at line 662 of file wdxmutenum.cs.

ArrayList Microsoft::Samples::DirectX::UtilityToolkit.EnumAdapterInformation::deviceInfoList = new ArrayList()

Definition at line 661 of file dxmutenum.cs.

List<DisplayMode> Microsoft.Samples.DirectX.UtilityToolkit.EnumAdapterInformation.displayModeList = new List<DisplayMode>()

Definition at line 661 of file wdxmutenum.cs.

ArrayList Microsoft::Samples::DirectX::UtilityToolkit.EnumAdapterInformation::displayModeList = new ArrayList()

Definition at line 660 of file dxmutenum.cs.

string Microsoft::Samples::DirectX::UtilityToolkit.EnumAdapterInformation::UniqueDescription

Definition at line 662 of file dxmutenum.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutenum.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutenum.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutenum.cs